#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log_1 = require("../util/log");
const program_1 = require("./program");
const run_1 = require("./run");
(async () => {
    const program = await (0, program_1.createProgram)();
    program.parse(process.argv);
    const { debug } = program.opts();
    if (!debug) {
        log_1.log.debug = () => undefined;
    }
    (0, run_1.run)();
})().catch(log_1.log.error);
//# sourceMappingURL=cli.js.map