"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasNpmPackage = void 0;
const https_1 = __importDefault(require("https"));
/**
 * A simple api method to check if a npm package exists
 *
 * @param name the package name
 * @returns true if the package exists
 */
async function hasNpmPackage(name) {
    return new Promise((resolve, reject) => {
        const url = `https://registry.npmjs.com/${name}`;
        // The registry.npmjs.com api return a non 404 code to every package that exists in the registry
        https_1.default
            .get(url, (response) => {
            resolve(response.statusCode != 404);
            response.destroy(); // stops the request
        })
            .on('error', reject);
    });
}
exports.hasNpmPackage = hasNpmPackage;
//# sourceMappingURL=api.js.map